#include "ising.hpp"

// Un programme qui affiche une configuration obtenue par 1000
// itérations de la dynamique de Glauber.

int main(void)
{

  // Les paramètres.
  const double beta = 0.3;
  const int N = 15;
  
  ising X(N);
  std::mt19937 gen(6783);

  // Chaque passage dans la boucle correspond à une itération de la dynamique
  // (c'est-à-dire une mise à jour utilisant un theta aléatoire)
  for (int i=0; i<1000; i++)
	{
	  theta T;
	  T.tirage_theta(N,gen);
	  X.mise_a_jour(beta, T);
	}

  // On affiche le résultat.
  std::cout << X;
  
  return 0;
}
